ghc-mod-5.6.0.0: Happy Haskell Programming

Safe Haskell | None
Language | Haskell2010

Language.Haskell.GhcMod.Options.Options

Synopsis

- globalArgSpec :: Parser Options
- parseCmdLineOptions :: [String] -> Maybe Options

# Documentation

globalArgSpec :: Parser Options #

An optparse-applicative `Parser` sepcification for `Options` so that applications making use of the ghc-mod API can have a consistent way of parsing global options.

parseCmdLineOptions :: [String] -> Maybe Options #

Parse a set of arguments according to the ghc-mod CLI flag spec, producing `Options` set accordingly.